diff --git a/scripts/lbpr-get-command b/scripts/lbpr-get-command
index 99501a4c73898e95ed43ceb1ed47e967c095c758..687d5f9356452a97a4f24c8e3af76fd00f082196 100755
--- a/scripts/lbpr-get-command
+++ b/scripts/lbpr-get-command
@@ -213,17 +213,17 @@ then
 else
     OUTPUT_PATH="$LHCBPR_MOCK_OUTPUT_PATH"
 fi
+RETCODE=$?
 popd
 PATH=$OLDPATH
 
-RETCODE=$?
 date +"%Y-%m-%d %T %z" > end.txt
 echo "==> Return code: $RETCODE"
 # Gathering the results with LHCbPR
 
 if [ "$RETCODE" = "0" ] ; then
     echo "Run OK now gathering the results"
-    lbpr-collect -r $OUTPUT_PATH -s "`cat start.txt`" -e "`cat end.txt`" -p `hostname` -c `cat platform.txt` --opt-content='{options[content]}' {setup_args} {exec_args} --opt-name='{options[description]}' -l '{handlers}' --app-name='{app_name}' --app-version='{app_version}'  --app-version-datetime="{app_version_datetime}" -a
+    lbpr-collect -r $OUTPUT_PATH -s "`cat start.txt`" -e "`cat end.txt`" -p `hostname` -c `cat platform.txt` --opt-content='{options[content]}' {setup_args} {exec_args} --opt-name='{options[description]}' -l '{handlers}' --app-name='{app_name}' --app-version='{app_version}'  --app-version-datetime="{app_version_datetime}" -t $RETCODE -a
 else
     echo "Non 0 return code - Will NOT gather the results and push to LHCbPR"
 fi